Improving Software Application Skills

Download
temp
Start Date: 04 March 2023
End Date: 17 June 2023
Day: Saturday
Location: Tottenham Centre
Times: 10:00-14:30

Book Now

First Name*

Surname*

Email*

Phone Number*

  Please tick here to confirm we can contact you by email in the future to tell you about courses or training you might be interested in.

About the Course

The IT User Skills qualifications is aimed at participants who may be using computers in their work, study or home. The qualification is ideal for those in employment, whether they are using IT as a significant part of their role or need to develop new skills. You will develop your skills at level on Word processin, Spreadsheet, Database, Powerpoint, Email, Internet and File Mnagement

What Will I Need?

All applicants must have an initial assessment and interview to confirm that the course is suitable for them.

Please be prepared to provide your residency documents such as a passport, EU citizen ID card, UK Birth Certificate or Biometric Card. If you have been in the UK for less than 3 years or have entered the UK with a visa you will need to provide evidence that you are eligible to study in the UK - your visa, your biometric card that covers the duration of your course or any relevant home office documents to support your residency should all be provided. If you’re an EUEEA or Swiss citizen we will need to see evidence of 'Pre-Settled' or 'Settled-status' documents. Also for funding purposes we would need to see evidence of payslips if working (within the last 3 months). If you are receiving benefits (e.g JSA, ESA, Universal Credit (UC), Housing benefits etc. please provide evidence of this).

What Can I Do After?

Upon successful completion of the course you can progress into further study in this area.

For more information please contact courseinfo@conel.ac.uk.

Book Now

First Name*

Surname*

Email*

Phone Number*

  Please tick here to confirm we can contact you by email in the future to tell you about courses or training you might be interested in.
ajax-loader